// lmy 2014/3/27

#ifdef GL_ES
precision highp float;
#endif


varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
uniform vec2 rt_size;
//float steps[5] ＝ float[](-2.0,-1.0,0.0,1.0,2.0); ogengl spec 4.1.9 的例句都不支持，什么编译器，相当无语
float steps[5];

void main(void)
{
    vec4 color = vec4(0.0,0.0,0.0,0.0);
    steps[0] = -2.0;
    steps[1] = -1.0;
    steps[2] = 0.0;
    steps[3] = 1.0;
    steps[4] = 2.0;
    
    vec2 dxdy  = 1.0 / rt_size;
    for (int x = -2; x < 2; x++)
    {
        for (int y = -2; y < 2; y++)
        {
             color += texture2D(CC_Texture0, vec2(v_texCoord.x + steps[x+2] * dxdy.x, v_texCoord.y + steps[y+2] * dxdy.y));
        }
    }
    color /= 16.0;
        
    gl_FragColor = color;
}