// lmy 2014/3/26

#ifdef GL_ES
precision highp float;
#endif

uniform vec2 rt_size;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;


void main(void)
{
    float dx = 1.0/rt_size.x;
    float dy = 1.0/rt_size.y;

    vec4 c0 = texture2D(CC_Texture0, v_texCoord+vec2(dx,0));
    vec4 c1 = texture2D(CC_Texture0, v_texCoord+vec2(-dx,0));
    vec4 c2 = texture2D(CC_Texture0, v_texCoord+vec2(0,dy));
    vec4 c3 = texture2D(CC_Texture0, v_texCoord+vec2(0,-dy));
    vec4 c4 = texture2D(CC_Texture0, v_texCoord);
    gl_FragColor = c4 + c0+c1+c2+c3;

}